import { Score } from './score';
export interface SRSData {
    lastAnsweredAt: Date | null;
    dueAt: Date | null;
    ease: number;
    intervalInMins: number | null;
    reps: number;
    lapses: number;
    repsSinceLastLapse: number;
}
export declare const initialSRSData: () => SRSData;
declare type FuzzProvider = (i: number) => number;
/**
 * Calculate updated srs data.
 *
 * @param srsData The current srs data. This object will not be modified.
 * @param score The score (0, 1, 2 or 3)
 * @param answeredAt When the item was ansewered. This might differ from the time the updated srs data is calculated and is needed to calculate readiness.
 * @param fuzzProvider For testing only
 */
export declare const answer: (srsData: SRSData, score: Score, answeredAt: Date, fuzzProvider?: FuzzProvider) => SRSData;
export {};
